Bug 129021 - Expert Configuration dialog not exposing its tree--only displays "<dummy>"
Summary: Expert Configuration dialog not exposing its tree--only displays "<dummy>"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.beta1+
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Options-Dialog-Expert
  Show dependency treegraph
 
Reported: 2019-11-25 19:06 UTC by V Stuart Foote
Modified: 2019-11-27 13:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2019-11-25 19:06:44 UTC
The Tools -> Options -> Advanced: 'Open Expert Configuration' button's dialog is not exposing its tree--only displays "<dummy>" exposing an element, e.g. org.openoffice.Office.Common 

Of on hand installs, last working at TB42 build 2019-09-11, Version: 6.4.0.0.alpha0+ (x64) Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb

Already wonky with TB42 (x86) build 2019-10-01, Version: 6.4.0.0.alpha0+ (x86)
Build ID: 489eef894e7034873ad262f9dfca554022db1b09

Also for TB42 build 2019-10-02, Version: 6.4.0.0.alpha1+ (x64)
Build ID: 3e8fb860d92160e41a1aef5a0a53e4447120eb2e

Remains broken through current (2019-11-25) TB77 builds for Windows of master/6.5.0alpha0+
Comment 1 Xisco Faulí 2019-11-25 19:45:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c6bee0aad804c32a4367adc04878648427b06b5a

author	Caolán McNamara <caolanm@redhat.com>	2019-09-29 17:29:28 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-30 20:32:06 +0200
commit	c6bee0aad804c32a4367adc04878648427b06b5a (patch)
tree	4eef246a8cc9b8fb75719e7b92c55bfb3a755f6c
parent	2b407a8a9a34423434a1272b9571db8ea0abfa36 (diff)
weld CuiAboutConfigTabPage

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2019-11-25 19:46:53 UTC
NOTE: reproduced in gen but not in gtk3
Comment 3 Commit Notification 2019-11-26 14:38:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/055751130b8095985feda2b612ecfa7b1ad86c13

Resolves: tdf#129021 dummy entry in multicolumn lists not working properly

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-11-26 17:26:53 UTC
fixed in master and 6-4
Comment 5 V Stuart Foote 2019-11-27 13:43:19 UTC
Verified. Thanks Caolán!

On Windows 10 Home 64-bit en-US (1903) with
Version: 6.5.0.0.alpha0+ (x64)
Build ID: 05734503ed36cff64cfaac8afb7c6df5eced8873
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded